> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/ufc-5.0-russian/building-static-data.md).

# Статические данные

Сначала вам нужно будет создать базу данных либо сформировать перечень «файткардов» (перечень мероприятий) и связанных с соответствующим файткардом/мероприятием боев.

**Заголовки, необходимые для использования наших конечных точек:**

| **Ключевой параметр** | **Значение**                                    |
| --------------------- | ----------------------------------------------- |
| Accept                | application/vnd.imgarena.dde.api+json;version=1 |
| Content-Type          | application/json                                |
| Authorization         | Bearer eyvhaoudfgpdfgo\*                        |

Чтобы получить перечень «файткардов» либо мероприятий, нажмите на конечную точку файткарда UFC от IMG:

`https://dde-api.data.imgarena.com/mma/fightcards`

Обратите внимание на значения ключевых параметров, необходимые для данной конечной точки:

| **Конечная точка** | **Описание**            | **Ссылка на «песочницу»** |
| ------------------ | ----------------------- | ------------------------- |
| fightcardName      | название файткарда      | -                         |
| identifier         | идентификатор файткарда | EventId                   |

**Если вы хотите просмотреть только информацию по конкретному файткарду, вы можете передать соответствующий идентификатор мероприятия, например:**

`https://dde-api.data.imgarena.com/mma/fightcards/{id}`

Получить по запросу данные по «файткардам» для заданного диапазона дат можно, передав параметры «dateFrom» и «dateTo». Оба параметра должны представлять собой дату в формате `YYYY-mm-dd`.

Кроме того, вам понадобится получить перечень связанных с соответствующим файткардом/мероприятием боев. Это можно сделать, передав параметр «EventId» по файткарду через конечную точку «Расписание» по мероприятиям UFC на IMG Arena.

`https://dde-api.data.imgarena.com/mma/fightcards/{id}/schedule`

Обратите внимание на значения ключевых параметров, необходимые для конечной точки:

| **Конечная точка** | **Описание**                                                    | **Ссылка на «песочницу»** |
| ------------------ | --------------------------------------------------------------- | ------------------------- |
| redTeam            | Объект, содержащий в себе информацию о бойце из красной команды | -                         |
| blueTeam           | Объект, содержащий в себе информацию о бойце из синей команды   | -                         |
| fightId            | Идентификационный номер боя                                     | fightId                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-russian/building-static-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
